Create a job to upload users to a Google customer match list

http
POST https://services.leadconnectorhq.com/ad-publishing/google/segments/offline-user-list-job

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesloc_abc123Account identifier
smartListIdsstring[]NoSmart list IDs
csvPathstringNo/uploads/users.csvCSV file path
userListIdstringNoul_123User list identifier
isDynamicbooleanNoFalseDynamic list flag

Responses

201 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/google/segments/offline-user-list-job' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "loc_abc123",
  "smartListIds": [
    "sl_123"
  ],
  "csvPath": "/uploads/users.csv",
  "userListId": "ul_123",
  "isDynamic": false
}'

Last updated October 26, 2026

Was this page helpful?